CREATE OR REPLACE PROCEDURE INSERT_METADATA_ATTRIBUTE(
 p_id IN varchar2,
 p_MIN_OCCURS IN  number,
 p_MAX_OCCURS IN  number,
 p_IS_PRESENTATIONAL IN  Number,
 p_PARENT IN  number,
 p_CON_ID IN  number,
 p_CL_ID IN  number,
 p_RS_ID IN  number,
 p_pk OUT  number)
IS
BEGIN
 INSERT_COMPONENT_COMMON(p_pk);
	INSERT INTO METADATA_ATTRIBUTE
           (MTD_ATTR_ID,ID,MIN_OCCURS,MAX_OCCURS,IS_PRESENTATIONAL,PARENT,CON_ID,CL_ID,RS_ID)
     VALUES
           (p_pk,p_id,p_MIN_OCCURS,p_MAX_OCCURS,p_IS_PRESENTATIONAL,p_PARENT,p_CON_ID,p_CL_ID,p_RS_ID);
	
END;
/
;
